#
# @author Charles Sprayberry
# @copyright Copyright (c) 2013 Charles Sprayberry
# @license OSI MIT

module SprayVent
  class Event

    attr_reader :target, :name, :args
    @cancel = false

    def initialize(name, target, args = nil)
      @name = name
      @target = target
      args ||= []
      @args = args
    end

    def cancel
      @cancel = true
    end

    def cancel?
      @cancel
    end

  end
end

